Package org.bukkit.scoreboard

# Interface Score

public interface Score
A score entry for an `entry` on an `objective`. Changing this will not affect any other objective or scoreboard.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getEntry()`
Gets the entry being tracked by this Score
`@NotNull Objective`
`getObjective()`
Gets the Objective being tracked by this Score
`@NotNull OfflinePlayer`
`getPlayer()`
Deprecated.
Scoreboards can contain entries that aren't players
`int`
`getScore()`
Gets the current score
`@Nullable Scoreboard`
`getScoreboard()`
Gets the scoreboard for the associated objective.
`boolean`
`isScoreSet()`
Shows if this score has been set at any point in time.
`void`
`resetScore()`
Resets this score, if a value has been set.
`void`
`setScore(int score)`
Sets the current score.

## Method Details

### getPlayer

@Deprecated @NotNull @NotNull OfflinePlayer getPlayer()
Deprecated.
Scoreboards can contain entries that aren't players
Gets the OfflinePlayer being tracked by this Score

Returns:
  this Score's tracked player
See Also:
  - `getEntry()`

### getEntry

@NotNull @NotNull String getEntry()
Gets the entry being tracked by this Score

Returns:
  this Score's tracked entry

### getObjective

@NotNull @NotNull Objective getObjective()
Gets the Objective being tracked by this Score

Returns:
  this Score's tracked objective

### getScore

int getScore() throws IllegalStateException
Gets the current score

Returns:
  the current score
Throws:
  `IllegalStateException` - if the associated objective has been unregistered

### setScore

void setScore(int score) throws IllegalStateException
Sets the current score.

Parameters:
  `score` - New score
Throws:
  `IllegalStateException` - if the associated objective has been unregistered

### isScoreSet

boolean isScoreSet() throws IllegalStateException
Shows if this score has been set at any point in time.

Returns:
  if this score has been set before
Throws:
  `IllegalStateException` - if the associated objective has been unregistered

### getScoreboard

@Nullable @Nullable Scoreboard getScoreboard()
Gets the scoreboard for the associated objective.

Returns:
  the owning objective's scoreboard, or null if it has been `unregistered`

### resetScore

void resetScore() throws IllegalStateException
Resets this score, if a value has been set.

Throws:
  `IllegalStateException` - if the associated objective has been unregistered